VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Attributes | List of all members
PhysicalUIMap Struct Reference

PhysicalUIMap describes a mapping of a noteExpression Type to a Physical UI Type. More...

`#include <ivstphysicalui.h>`

## Public Attributes
PhysicalUITypeID | physicalUITypeID
| This represents the physical UI.
NoteExpressionTypeID | noteExpressionTypeID
| This represents the associated noteExpression TypeID to the given physicalUITypeID.

## Detailed Description

PhysicalUIMap describes a mapping of a noteExpression Type to a Physical UI Type.

It is used in PhysicalUIMapList.

See Also
  PhysicalUIMapList

## Member Data Documentation

PhysicalUITypeID physicalUITypeID

This represents the physical UI.

/see PhysicalUITypeIDs, this is set by the caller of getPhysicalUIMapping

NoteExpressionTypeID noteExpressionTypeID

This represents the associated noteExpression TypeID to the given physicalUITypeID.

This will be filled by the plug-in in the call getPhysicalUIMapping, set it to kInvalidTypeID if no Note Expression is associated to the given PUI.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.